<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.18) on Sun Apr 16 01:57:04 CEST 2023 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-04-16">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:Z">Z</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="Zoo.html#ajouteAnimal(Animal)">ajouteAnimal(Animal)</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet d'ajouter un animal dans le zoo</div>
</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#ajouteEnclos(Enclos)">ajouteEnclos(Enclos)</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet d'ajouter un enclos dans le zoo</div>
</dd>
<dt><span class="memberNameLink"><a href="Enclos.html#ajouterAnimalDansLEnclos(Animal)">ajouterAnimalDansLEnclos(Animal)</a></span> - Method in class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet d'ajouter un animal dans l'enclos</div>
</dd>
<dt><a href="Animal.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Animal</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Animal.html#%3Cinit%3E(java.lang.String,double,boolean)">Animal(String, double, boolean)</a></span> - Constructor for class <a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a></dt>
<dd>
<div class="block">permet de créer un animal</div>
</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#animalLePlusLourd()">animalLePlusLourd()</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet de récupérer l'animal le plus lourd du zoo</div>
</dd>
<dt><a href="AnimalPasBlesseException.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">AnimalPasBlesseException</span></a> - Exception in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="AnimalPasBlesseException.html#%3Cinit%3E()">AnimalPasBlesseException()</a></span> - Constructor for exception <a href="AnimalPasBlesseException.html" title="class in &lt;Unnamed&gt;">AnimalPasBlesseException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AnimalPasDansZooException.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">AnimalPasDansZooException</span></a> - Exception in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="AnimalPasDansZooException.html#%3Cinit%3E()">AnimalPasDansZooException()</a></span> - Constructor for exception <a href="AnimalPasDansZooException.html" title="class in &lt;Unnamed&gt;">AnimalPasDansZooException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Enclos.html#animauxDeLEnclos()">animauxDeLEnclos()</a></span> - Method in class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet d'obtenir la liste des animaux de l'enclos</div>
</dd>
</dl>
<a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="ComparateurNomAnimaux.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">ComparateurNomAnimaux</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ComparateurNomAnimaux.html#%3Cinit%3E()">ComparateurNomAnimaux()</a></span> - Constructor for class <a href="ComparateurNomAnimaux.html" title="class in &lt;Unnamed&gt;">ComparateurNomAnimaux</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ComparateurPoidsAnimaux.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">ComparateurPoidsAnimaux</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ComparateurPoidsAnimaux.html#%3Cinit%3E()">ComparateurPoidsAnimaux()</a></span> - Constructor for class <a href="ComparateurPoidsAnimaux.html" title="class in &lt;Unnamed&gt;">ComparateurPoidsAnimaux</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ComparateurNomAnimaux.html#compare(Animal,Animal)">compare(Animal, Animal)</a></span> - Method in class <a href="ComparateurNomAnimaux.html" title="class in &lt;Unnamed&gt;">ComparateurNomAnimaux</a></dt>
<dd>
<div class="block">permet de comparer deux animaux en fonction de leur nom</div>
</dd>
<dt><span class="memberNameLink"><a href="ComparateurPoidsAnimaux.html#compare(Animal,Animal)">compare(Animal, Animal)</a></span> - Method in class <a href="ComparateurPoidsAnimaux.html" title="class in &lt;Unnamed&gt;">ComparateurPoidsAnimaux</a></dt>
<dd>
<div class="block">permet de comparer deux animaux en fonction de leur poids</div>
</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="Lion.html#emettreSon()">emettreSon()</a></span> - Method in class <a href="Lion.html" title="class in &lt;Unnamed&gt;">Lion</a></dt>
<dd>
<div class="block">permet au lion de rugir</div>
</dd>
<dt><span class="memberNameLink"><a href="Serpent.html#emettreSon()">emettreSon()</a></span> - Method in class <a href="Serpent.html" title="class in &lt;Unnamed&gt;">Serpent</a></dt>
<dd>
<div class="block">permet au serpent de siffler</div>
</dd>
<dt><a href="Enclos.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Enclos</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Enclos.html#%3Cinit%3E(java.lang.String,double)">Enclos(String, double)</a></span> - Constructor for class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet de créer un enclos</div>
</dd>
<dt><span class="memberNameLink"><a href="Enclos.html#estAjoutableDansLEnclos(Animal)">estAjoutableDansLEnclos(Animal)</a></span> - Method in class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet de savoir si un animal peut être ajouté dans l'enclos</div>
</dd>
<dt><span class="memberNameLink"><a href="Animal.html#estBlesse()">estBlesse()</a></span> - Method in class <a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a></dt>
<dd>
<div class="block">permet de savoir si l'animal est blessé ou non</div>
</dd>
<dt><span class="memberNameLink"><a href="Serpent.html#estVenimeux()">estVenimeux()</a></span> - Method in class <a href="Serpent.html" title="class in &lt;Unnamed&gt;">Serpent</a></dt>
<dd>
<div class="block">permet de savoir si le serpent est venimeux ou non</div>
</dd>
<dt><a href="ExecutableZoo.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">ExecutableZoo</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ExecutableZoo.html#%3Cinit%3E()">ExecutableZoo()</a></span> - Constructor for class <a href="ExecutableZoo.html" title="class in &lt;Unnamed&gt;">ExecutableZoo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="Animal.html#getNom()">getNom()</a></span> - Method in class <a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a></dt>
<dd>
<div class="block">permet d'obtenir le nom de l'animal</div>
</dd>
<dt><span class="memberNameLink"><a href="Enclos.html#getNom()">getNom()</a></span> - Method in class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet de récupérer le nom de l'enclos</div>
</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#getNom()">getNom()</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet de récupérer le nom du zoo</div>
</dd>
<dt><span class="memberNameLink"><a href="Animal.html#getPoids()">getPoids()</a></span> - Method in class <a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a></dt>
<dd>
<div class="block">permet d'obtenir le poids de l'animal</div>
</dd>
<dt><span class="memberNameLink"><a href="Enclos.html#getSuperficie()">getSuperficie()</a></span> - Method in class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet de récupérer la superficie de l'enclos</div>
</dd>
</dl>
<a id="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="Zoo.html#lesAnimauxDansZoo()">lesAnimauxDansZoo()</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet de récupérer la liste des animaux du zoo</div>
</dd>
<dt><a href="Lion.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Lion</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Lion.html#%3Cinit%3E(java.lang.String,double,boolean,boolean)">Lion(String, double, boolean, boolean)</a></span> - Constructor for class <a href="Lion.html" title="class in &lt;Unnamed&gt;">Lion</a></dt>
<dd>
<div class="block">permet de créer un lion</div>
</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#listerAnimauxDansEnclos(java.lang.String)">listerAnimauxDansEnclos(String)</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet de récupérer la liste des animaux dans un enclos</div>
</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="ExecutableZoo.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class <a href="ExecutableZoo.html" title="class in &lt;Unnamed&gt;">ExecutableZoo</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><a href="NomEnclosException.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">NomEnclosException</span></a> - Exception in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="NomEnclosException.html#%3Cinit%3E()">NomEnclosException()</a></span> - Constructor for exception <a href="NomEnclosException.html" title="class in &lt;Unnamed&gt;">NomEnclosException</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="Lion.html#possedeUneCriniere()">possedeUneCriniere()</a></span> - Method in class <a href="Lion.html" title="class in &lt;Unnamed&gt;">Lion</a></dt>
<dd>
<div class="block">permet de savoir si le lion possède une crinière ou non</div>
</dd>
</dl>
<a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="Enclos.html#retirerAnimalDeLEnclos(Animal)">retirerAnimalDeLEnclos(Animal)</a></span> - Method in class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet de retirer un animal de l'enclos</div>
</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="Serpent.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Serpent</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Serpent.html#%3Cinit%3E(java.lang.String,double,boolean,boolean)">Serpent(String, double, boolean, boolean)</a></span> - Constructor for class <a href="Serpent.html" title="class in &lt;Unnamed&gt;">Serpent</a></dt>
<dd>
<div class="block">permet de créer un serpent</div>
</dd>
<dt><span class="memberNameLink"><a href="Animal.html#setEstBlesse(boolean)">setEstBlesse(boolean)</a></span> - Method in class <a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a></dt>
<dd>
<div class="block">permet de changer la valeur de l'attribut estBlesse de l'animal s'il a été blessé ou s'il a été soigné</div>
</dd>
<dt><span class="memberNameLink"><a href="Enclos.html#setSuperficie(double)">setSuperficie(double)</a></span> - Method in class <a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a></dt>
<dd>
<div class="block">permet de changer la superficie de l'enclos si on souhaite l'agrandir ou le rétrécir</div>
</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#soigner(java.lang.String)">soigner(String)</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet de soigner un animal</div>
</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="Animal.html#toString()">toString()</a></span> - Method in class <a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a></dt>
<dd>
<div class="block">permet d'afficher les informations de l'animal</div>
</dd>
<dt><span class="memberNameLink"><a href="Lion.html#toString()">toString()</a></span> - Method in class <a href="Lion.html" title="class in &lt;Unnamed&gt;">Lion</a></dt>
<dd>
<div class="block">permet d'afficher les informations du lion</div>
</dd>
<dt><span class="memberNameLink"><a href="Serpent.html#toString()">toString()</a></span> - Method in class <a href="Serpent.html" title="class in &lt;Unnamed&gt;">Serpent</a></dt>
<dd>
<div class="block">permet d'afficher les informations du serpent</div>
</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#toString()">toString()</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet d'afficher les informations du zoo avec les noms d'enclos et les animaux qu'ils contiennent sous forme de liste</div>
</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#trierAnimauxParNom()">trierAnimauxParNom()</a></span> - Method in class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet de trier les animaux du zoo par ordre alphabétique</div>
</dd>
</dl>
<a id="I:Z">
<!--   -->
</a>
<h2 class="title">Z</h2>
<dl>
<dt><a href="Zoo.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Zoo</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Zoo.html#%3Cinit%3E(java.lang.String)">Zoo(String)</a></span> - Constructor for class <a href="Zoo.html" title="class in &lt;Unnamed&gt;">Zoo</a></dt>
<dd>
<div class="block">permet de créer un zoo</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:Z">Z</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
